Get queues

Returns a paginated list of all routing queues.

The Get queues endpoint returns the inbound routing queues you can access.

Requirements: Base URL, Authentication, Error codes

Scope: routing.queues.read

What this does

When you send a Get queues request,

Voiso
returns an array of full queue objects (the same object returned by Get queue).

If you only need queue IDs and names, you can still call this endpoint, but you may want to use limit and offset to keep responses smaller.

The response includes pagination metadata so you can page through large result sets.

When to use it

  • Populate a queue selector in an external tool
  • Retrieve queue IDs to use in other routing and reporting requests

Prerequisites

  • At least one queue is configured in your contact center.

Endpoint


GET /api/v4/routing/queues

Query parameters

All query parameters are optional.

  • limit
    Number of items to return. Default is 100. Maximum is 100.
  • offset
    Number of items to skip before collecting results. Default is 0.

Examples

Minimal request

curl -X GET "https://{cluster_id}.voiso.com/api/v4/routing/queues" \
  -H "Authorization: Bearer <contact_center_api_key>" \
  -H "Content-Type: application/json"

Request with pagination

curl -X GET "https://{cluster_id}.voiso.com/api/v4/routing/queues?limit=20&offset=40" \
  -H "Authorization: Bearer <contact_center_api_key>" \
  -H "Content-Type: application/json"

Response

If successful, the API returns a list of queues and pagination metadata.

{
  "queues": [
    {
      "id": 1,
      "name": "Technical Support",
      "extension": "4000",
      "strategy": "ring_all",
      "music_on_hold": {
        "type": "music_on_hold",
        "name": "Morning coffee (Default)"
      },
      "in_queue_announcement": {
        "interval": 60,
        "announce_position": true,
        "announce_wait_time": true
      },
      "failover_destination": {
        "type": "voicemail",
        "wait_time": 300
      },
      "callback": {
        "wait_time": 300
      },
      "post_call_rating": {
        "enabled": true
      },
      "channels": [
        {
          "channel": "whatsapp",
          "priority": 1
        }
      ],
      "skills": [
        {
          "id": 1,
          "name": "Sales"
        }
      ]
    }
  ],
  "metadata": {
    "total": 1
  }
}

Next steps

Troubleshooting

401 Unauthorized

What to check:

  • You are sending Authorization: Bearer <contact_center_api_key>.
  • Your Base URL includes the correct {cluster_id}.

403 Forbidden

What to check:

  • The API key is valid, but does not have access to routing resources in this contact center.

429 Too many requests

What to do:

  • Reduce request frequency and retry with backoff.
Query Params
integer
0 to 1000
Defaults to 100

The number of items to return.

integer
≥ 0
Defaults to 0

The number of items to skip before starting to collect the result set.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json